
-- bind one object to its base (refreshes any default functions, doesn't remove new)
function BindObj( i_base, i_obj )
	if ( i_obj ~= nil ) then
		for i in pairs( i_base ) do
			if ( type( i_base[ i ] ) == "function" ) then
				i_obj[ i ] = i_base[ i ]
			end
		end
	end
end

